AOZ Studio Beta - Bug #285

Amal animation issue - Using incorrect 1.images folder
03/02/2020 08:40 AM - David Baldwin

Status: Closed Start date: 03/02/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: 0.9.6

Description

Animation frame issue in amal. Works fine when the image folder contains only the correct sequence of images, yet when one or
more images are added to the image folder, image number 1 is replaced by the last image of the folder, irrespective of it's name.

If you run my example, you'll see that pacman first frame (full circle) is replaced by a banana . If you move the banana image to the
Stash folder, then the sequence runs fine.
If you move several images back again, you'll see whatever the last image is will replace the first image in the animation.

History

#1 - 03/04/2020 10:23 PM - David Baldwin

I've found what caused this; it was the name of the other bobs. If any of the image names aren't just a number, the problem occurs. If you rename the
banana to 8 to 30 or whatever, the problem goes.

#2 - 04/11/2020 09:05 AM - David Baldwin

- Subject changed from Amal animation issue - Using incorrect images to Amal animation issue - Using incorrect 1.images folder

This is now illustrated in Crunchman Reloaded on title screen, where an image named 'paused' has been left in the 1.images folder. This is now
included in the Amal animated bob 'Press Flre' as the first frame.

#3 - 04/16/2020 07:35 PM - David Baldwin

- Status changed from New to Closed

Files

AMAL_TEST.aozip 78.8 KB 03/02/2020 David Baldwin
